Permalink
Browse files

migrate to maven

  • Loading branch information...
1 parent 2ca4f4e commit bad98303f4f78c03659ad49d2534005b63b84c7d @ruediste ruediste committed Dec 19, 2015
Showing with 1,577 additions and 1,065 deletions.
  1. +17 −0 .project
  2. +2 −0 .settings/org.eclipse.core.resources.prefs
  3. +4 −0 .settings/org.eclipse.m2e.core.prefs
  4. +11 −0 README.md
  5. +98 −0 pom.xml
  6. +26 −0 umlet-eclipse-plugin-deps/.classpath
  7. +2 −0 umlet-eclipse-plugin-deps/.gitignore
  8. +23 −0 umlet-eclipse-plugin-deps/.project
  9. +2 −0 umlet-eclipse-plugin-deps/.settings/org.eclipse.core.resources.prefs
  10. +5 −0 umlet-eclipse-plugin-deps/.settings/org.eclipse.jdt.core.prefs
  11. +4 −0 umlet-eclipse-plugin-deps/.settings/org.eclipse.m2e.core.prefs
  12. +66 −0 umlet-eclipse-plugin-deps/pom.xml
  13. +26 −0 umlet-eclipse-plugin/.classpath
  14. +7 −0 umlet-eclipse-plugin/.gitignore
  15. +46 −0 umlet-eclipse-plugin/.project
  16. +2 −0 umlet-eclipse-plugin/.settings/org.eclipse.core.resources.prefs
  17. +7 −0 umlet-eclipse-plugin/.settings/org.eclipse.jdt.core.prefs
  18. +4 −0 umlet-eclipse-plugin/.settings/org.eclipse.m2e.core.prefs
  19. +25 −33 umlet-eclipse-plugin/META-INF/MANIFEST.MF
  20. +12 −0 umlet-eclipse-plugin/RemoteSystemsTempFiles/.project
  21. +11 −3 umlet-eclipse-plugin/build.properties
  22. +230 −0 ...e BaseletElement project dependency and link its source folder to make this launcher work).launch
  23. +118 −0 umlet-eclipse-plugin/pom.xml
  24. +26 −9 umlet-elements/.classpath
  25. +2 −0 umlet-elements/.gitignore
  26. +23 −17 umlet-elements/.project
  27. +4 −2 umlet-elements/.settings/org.eclipse.core.resources.prefs
  28. +5 −291 umlet-elements/.settings/org.eclipse.jdt.core.prefs
  29. +0 −109 umlet-elements/.settings/org.eclipse.jdt.ui.prefs
  30. +4 −0 umlet-elements/.settings/org.eclipse.m2e.core.prefs
  31. +1 −1 umlet-elements/build.xml
  32. +109 −0 umlet-elements/pom.xml
  33. +1 −0 umlet-gwt/.gitignore
  34. +31 −0 umlet-res/.classpath
  35. +2 −0 umlet-res/.gitignore
  36. +23 −0 umlet-res/.project
  37. +3 −0 umlet-res/.settings/org.eclipse.core.resources.prefs
  38. +5 −0 umlet-res/.settings/org.eclipse.jdt.core.prefs
  39. +4 −0 umlet-res/.settings/org.eclipse.m2e.core.prefs
  40. +38 −0 umlet-res/pom.xml
  41. +26 −27 umlet-standalone/.classpath
  42. +2 −0 umlet-standalone/.gitignore
  43. +23 −28 umlet-standalone/.project
  44. +3 −3 umlet-standalone/.settings/org.eclipse.core.resources.prefs
  45. +5 −389 umlet-standalone/.settings/org.eclipse.jdt.core.prefs
  46. +0 −109 umlet-standalone/.settings/org.eclipse.jdt.ui.prefs
  47. +4 −0 umlet-standalone/.settings/org.eclipse.m2e.core.prefs
  48. +75 −0 umlet-standalone/pom.xml
  49. +72 −0 umlet-standalone/src/assembly/dep.xml
  50. +1 −0 umlet-swing-deps/.gitignore
  51. +17 −0 umlet-swing-deps/.project
  52. +2 −0 umlet-swing-deps/.settings/org.eclipse.core.resources.prefs
  53. +4 −0 umlet-swing-deps/.settings/org.eclipse.m2e.core.prefs
  54. +127 −0 umlet-swing-deps/pom.xml
  55. +26 −0 umlet-swing/.classpath
  56. +2 −0 umlet-swing/.gitignore
  57. +23 −0 umlet-swing/.project
  58. +4 −0 umlet-swing/.settings/org.eclipse.core.resources.prefs
  59. +5 −0 umlet-swing/.settings/org.eclipse.jdt.core.prefs
  60. +4 −0 umlet-swing/.settings/org.eclipse.m2e.core.prefs
  61. +0 −30 ...e BaseletElement project dependency and link its source folder to make this launcher work).launch
  62. +15 −14 umlet-swing/launcher/Umlet Standalone.launch
  63. +108 −0 umlet-swing/pom.xml
View
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>umlet-parent</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.m2e.core.maven2Builder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.m2e.core.maven2Nature</nature>
+ </natures>
+</projectDescription>
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding/<project>=UTF-8
@@ -0,0 +1,4 @@
+activeProfiles=
+eclipse.preferences.version=1
+resolveWorkspaceProjects=true
+version=1
View
@@ -4,3 +4,14 @@ UMLet is an open-source UML tool with a simple user interface: draw UML diagrams
* Please check out the [Wiki](https://github.com/umlet/umlet/wiki) for frequently asked questions
* Go to http://www.umlet.com to get the latest compiled versions
+
+## Build Structure
+* BaseletElements: the element implementations, including JavaCC generated compiler
+* Baselet: the main part of the source code
+* BaseletEclipse: eclipse plugin project. It is built with tycho. The maven build
+makes sure everything is set up exactly as PDE/Tycho expect it.
+* BaseletDeps: project referencing all dependencies of Baselet
+* BaseletEclipseDeps: packaged transitive dependencies of BaseletDeps. Required to get the transitive dependencies.
+* BaseletStandalone: standalone umlet program
+
+Setup: checkout, run a `mvn clean install`, in Eclipse use `Import existing projects`
View
@@ -0,0 +1,98 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+ <modelVersion>4.0.0</modelVersion>
+ <parent>
+ <groupId>com.github.ruediste</groupId>
+ <artifactId>ossparent</artifactId>
+ <version>1.1</version>
+ </parent>
+
+ <groupId>com.github.ruediste.umlet</groupId>
+ <artifactId>umlet-parent</artifactId>
+ <packaging>pom</packaging>
+ <version>1.0-SNAPSHOT</version>
+ <name>UMlet</name>
+ <url>http://www.umlet.com/</url>
+ <modules>
+ <module>umlet-swing</module>
+ <module>umlet-swing-deps</module>
+ <module>umlet-eclipse-plugin</module>
+ <module>umlet-eclipse-plugin-deps</module>
+ <module>umlet-elements</module>
+ <module>umlet-res</module>
+ <module>umlet-standalone</module>
+ </modules>
+
+ <properties>
+ <mockito.version>1.9.5 </mockito.version>
+ <asm.version>5.0.3</asm.version>
+ <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+ <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
+ <maven.compiler.source>1.6</maven.compiler.source>
+ <maven.compiler.target>1.6</maven.compiler.target>
+ </properties>
+
+
+ <build>
+ <pluginManagement>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-surefire-plugin</artifactId>
+ <version>2.17</version>
+ </plugin>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-failsafe-plugin</artifactId>
+ <version>2.17</version>
+ </plugin>
+ </plugins>
+ </pluginManagement>
+ </build>
+ <dependencies>
+ <dependency>
+ <groupId>org.mockito</groupId>
+ <artifactId>mockito-core</artifactId>
+ <version>${mockito.version}</version>
+ <scope>test</scope>
+ <exclusions>
+ <exclusion>
+ <artifactId>hamcrest-core</artifactId>
+ <groupId>org.hamcrest</groupId>
+ </exclusion>
+ </exclusions>
+ </dependency>
+
+
+ <dependency>
+ <groupId>junit</groupId>
+ <artifactId>junit</artifactId>
+ <version>4.11</version>
+ <scope>test</scope>
+ <exclusions>
+ <exclusion>
+ <artifactId>hamcrest-core</artifactId>
+ <groupId>org.hamcrest</groupId>
+ </exclusion>
+ </exclusions>
+ </dependency>
+
+ <dependency>
+ <groupId>org.hamcrest</groupId>
+ <artifactId>hamcrest-library</artifactId>
+ <version>1.3</version>
+ <scope>test</scope>
+ </dependency>
+
+
+ </dependencies>
+ <dependencyManagement>
+ <dependencies>
+ <dependency>
+ <groupId>log4j</groupId>
+ <artifactId>log4j</artifactId>
+ <version>1.2.17</version>
+ </dependency>
+ </dependencies>
+ </dependencyManagement>
+</project>
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+ <classpathentry kind="src" output="target/classes" path="src/main/java">
+ <attributes>
+ <attribute name="optional" value="true"/>
+ <attribute name="maven.pomderived" value="true"/>
+ </attributes>
+ </classpathentry>
+ <classpathentry kind="src" output="target/test-classes" path="src/test/java">
+ <attributes>
+ <attribute name="optional" value="true"/>
+ <attribute name="maven.pomderived" value="true"/>
+ </attributes>
+ </classpathentry>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6">
+ <attributes>
+ <attribute name="maven.pomderived" value="true"/>
+ </attributes>
+ </classpathentry>
+ <classpathentry kind="con" path="org.eclipse.m2e.MAVEN2_CLASSPATH_CONTAINER">
+ <attributes>
+ <attribute name="maven.pomderived" value="true"/>
+ </attributes>
+ </classpathentry>
+ <classpathentry kind="output" path="target/classes"/>
+</classpath>
@@ -0,0 +1,2 @@
+/target/
+/target/
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>umlet-eclipse-plugin-deps</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.m2e.core.maven2Builder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.m2e.core.maven2Nature</nature>
+ </natures>
+</projectDescription>
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding/<project>=UTF-8
@@ -0,0 +1,5 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.problem.forbiddenReference=warning
+org.eclipse.jdt.core.compiler.source=1.6
@@ -0,0 +1,4 @@
+activeProfiles=
+eclipse.preferences.version=1
+resolveWorkspaceProjects=true
+version=1
@@ -0,0 +1,66 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+ <modelVersion>4.0.0</modelVersion>
+ <parent>
+ <groupId>com.github.ruediste.umlet</groupId>
+ <artifactId>umlet-parent</artifactId>
+ <version>1.0-SNAPSHOT</version>
+ </parent>
+ <artifactId>umlet-eclipse-plugin-deps</artifactId>
+ <dependencies>
+ <dependency>
+ <groupId>com.github.ruediste.umlet</groupId>
+ <artifactId>umlet-swing-deps</artifactId>
+ <version>${project.version}</version>
+ <type>pom</type>
+ </dependency>
+ </dependencies>
+ <build>
+ <plugins>
+ <plugin>
+ <artifactId>maven-dependency-plugin</artifactId>
+ <executions>
+ <execution>
+ <id>copy-dependencies</id>
+ <phase>generate-resources</phase>
+ <goals>
+ <goal>copy-dependencies</goal>
+ </goals>
+ <configuration>
+ <outputDirectory>${project.build.directory}/classes/lib</outputDirectory>
+ <stripVersion>true</stripVersion>
+ </configuration>
+ </execution>
+ </executions>
+ </plugin>
+ </plugins>
+ <pluginManagement>
+ <plugins>
+ <plugin>
+ <groupId>org.eclipse.m2e</groupId>
+ <artifactId>lifecycle-mapping</artifactId>
+ <version>1.0.0</version>
+ <configuration>
+ <lifecycleMappingMetadata>
+ <pluginExecutions>
+ <pluginExecution>
+ <pluginExecutionFilter>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-dependency-plugin</artifactId>
+ <versionRange>[1.0.0,)</versionRange>
+ <goals>
+ <goal>copy-dependencies</goal>
+ </goals>
+ </pluginExecutionFilter>
+ <action>
+ <ignore />
+ </action>
+ </pluginExecution>
+ </pluginExecutions>
+ </lifecycleMappingMetadata>
+ </configuration>
+ </plugin>
+ </plugins>
+ </pluginManagement>
+ </build>
+</project>
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+ <classpathentry kind="src" path="src"/>
+ <classpathentry kind="src" path="umlet-elements"/>
+ <classpathentry kind="src" path="umlet-swing"/>
+ <classpathentry kind="lib" path="lib/autocomplete.jar"/>
+ <classpathentry kind="lib" path="lib/batik-awt-util.jar"/>
+ <classpathentry kind="lib" path="lib/batik-dom.jar"/>
+ <classpathentry kind="lib" path="lib/batik-ext.jar"/>
+ <classpathentry kind="lib" path="lib/batik-svggen.jar"/>
+ <classpathentry kind="lib" path="lib/batik-util.jar"/>
+ <classpathentry kind="lib" path="lib/batik-xml.jar"/>
+ <classpathentry kind="lib" path="lib/bcel.jar"/>
+ <classpathentry kind="lib" path="lib/commons-io.jar"/>
+ <classpathentry kind="lib" path="lib/itextpdf.jar"/>
+ <classpathentry kind="lib" path="lib/javaparser-core.jar"/>
+ <classpathentry kind="lib" path="lib/jlibeps.jar"/>
+ <classpathentry kind="lib" path="lib/log4j.jar"/>
+ <classpathentry kind="lib" path="lib/mailapi.jar"/>
+ <classpathentry kind="lib" path="lib/objenesis.jar"/>
+ <classpathentry kind="lib" path="lib/rsyntaxtextarea.jar"/>
+ <classpathentry kind="lib" path="lib/smtp.jar"/>
+ <classpathentry kind="output" path="target/classes"/>
+</classpath>
@@ -0,0 +1,7 @@
+/target/
+/bin/
+/img/
+/html/
+/custom_elements/
+/lib/
+/palettes/
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>BaseletEclipse</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.m2e.core.maven2Builder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.m2e.core.maven2Nature</nature>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ </natures>
+ <linkedResources>
+ <link>
+ <name>umlet-elements</name>
+ <type>2</type>
+ <locationURI>$%7BPARENT-1-PROJECT_LOC%7D/umlet-elements/src/main/java</locationURI>
+ </link>
+ <link>
+ <name>umlet-swing</name>
+ <type>2</type>
+ <locationURI>$%7BPARENT-1-PROJECT_LOC%7D/umlet-swing/src/main/java</locationURI>
+ </link>
+ </linkedResources>
+</projectDescription>
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding/<project>=UTF-8
@@ -0,0 +1,7 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.6
@@ -0,0 +1,4 @@
+activeProfiles=
+eclipse.preferences.version=1
+resolveWorkspaceProjects=true
+version=1
Oops, something went wrong.

0 comments on commit bad9830

Please sign in to comment.